Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RESOLU] [qtractor] Modification ebuild, création overlay ?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
bluedid29
n00b
n00b


Joined: 23 Sep 2007
Posts: 64
Location: Bretagne / Finistère nord

PostPosted: Mon Mar 01, 2010 3:06 am    Post subject: [RESOLU] [qtractor] Modification ebuild, création overlay ? Reply with quote

Bonjour, 8)

Nouveau sur Gentoo par l'intermédiaire de Sabayon 5.1 (ne rigolez-pas, je suis avant tout animateur musicien :wink: )), j'ai installé plusieurs programmes MAO (en ayant préalablement installé la branche Overlay pro-audio).

Tout s'est bien passé, Qjackctl tourne impec (avec réglages du noyau rt); Qtractor (mon logiciel de séquence favori) se lance bien et relit mes séquences audio mais pas Midi et pour cause, les Dssi (bien qu'installés via emerge) ne sont pas activés.

J'ai recherché un peu partout et trouvé que mon fichier qtractor-0.4.5.ebuild dans /usr/portage/media-sound/qtractor n'avait pas les Dssi activés (ni vorbis et autre plugins d'ailleurs), voir le fichier ci-joint dessous :

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/qtractor/qtractor-0.4.5.ebuild,v 1.1 2010/01/24 14:49:18 aballier Exp $

EAPI=2

inherit qt4

DESCRIPTION="Qtractor is an Audio/MIDI multi-track sequencer."
HOMEPAGE="http://qtractor.sourceforge.net/"
SRC_URI="mirror://sourceforge/qtractor/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

IUSE="debug dssi libsamplerate mad osc rubberband vorbis sse"

RDEPEND="x11-libs/qt-core:4
x11-libs/qt-gui:4
media-libs/alsa-lib
media-libs/libsndfile
media-sound/jack-audio-connection-kit
media-libs/ladspa-sdk
dssi? ( media-libs/dssi )
mad? ( media-libs/libmad )
libsamplerate? ( media-libs/libsamplerate )
media-libs/slv2
osc? ( media-libs/liblo )
rubberband? ( media-libs/rubberband )
vorbis? ( media-libs/libvorbis )"
DEPEND="${RDEPEND}"

src_configure() {
econf \
$(use_enable mad libmad) \
$(use_enable libsamplerate) \
$(use_enable vorbis libvorbis) \
$(use_enable osc liblo) \
--enable-ladspa \
$(use_enable dssi) \
$(use_enable rubberband librubberband) \
$(use_enable sse) \
$(use_enable debug) \
|| die "econf failed"
eqmake4 qtractor.pro -o qtractor.mak
}

src_install() {
emake DESTDIR="${D}" install || die "make install failed"
dodoc README ChangeLog TODO AUTHORS

---------------------------------------------------------------------------------------------------------------------------------------------------------------------------

J'aimerai savoir s'il est possible d'activer :
dssi? ( media-libs/dssi )
mad? ( media-libs/libmad )
libsamplerate? ( media-libs/libsamplerate )
osc? ( media-libs/liblo )
rubberband? ( media-libs/rubberband )
vorbis? ( media-libs/libvorbis )"

au moment de la compilation (ou juste modifier l'ebuild localement) ou si je dois créer mon propre overlay comme indiqué ici : http://www.gentoo.org/proj/fr/devrel/handbook/handbook.xml?part=2&chap=1#doc_chap5 ou là : http://www.gentoofr.org/?Les-Overlays-de-Gentoo

J'espère avoir été assez clair; je viens du monde Debian / Ubuntu et j'aimerai vraiment utiliser Gentoo au quotidien, les mises à jours posant un peu trop de problèmes sans compter que j'ai besoin de programmes récents. Cela fait 4 ans que j'utilise Linux pour m'enregistrer, créer, mixer, éditer des partitions, masteriser...

Merci pour votre aide

à bientôt

BlueDid 8)
_________________
Linux en audio & Midi, c'est magique ;-)


Last edited by bluedid29 on Mon Mar 01, 2010 3:59 pm; edited 3 times in total
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7972
Location: ~Brussels - Belgique

PostPosted: Mon Mar 01, 2010 7:15 am    Post subject: Reply with quote

Bonjour Didier,

Le mieux dans ton cas est d'ouvrir un bug auprès de l'équipe qui maintient cet ebuild : soit Gentoo https://bugs.gentoo.org/, soit pro-audio http://proaudio.tuxfamily.org/bugs/my_view_page.php
Et en attendant, mets ton ebuild en local.
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
man in the hill
Veteran
Veteran


Joined: 15 Dec 2005
Posts: 1552
Location: Madinina

PostPosted: Mon Mar 01, 2010 11:02 am    Post subject: Reply with quote

Salut,

Post la commande :
Code:
emerge -pv qtractor

_________________
Get Up and Go !
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Mon Mar 01, 2010 11:19 am    Post subject: Reply with quote

'alute

tu veux dire que malgré l'activation des useflags {dssi,vorbis,...} de l'ebuild après compilation tu n'as pas les supports actifs ?
Est-ce que ta variable $USE du make.conf possèdent ces flags, ou ton /etc/portage/package.use a-t-il bien la ligne media-sound/qtractor <useflags> ?

Edit: Au fait, pourrais-tu editer ton premier message et modifier ton titre selon nos conventions (cf. section 3/3) : genre [qtracto] blablabla ?
Par avance merci :wink:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
bluedid29
n00b
n00b


Joined: 23 Sep 2007
Posts: 64
Location: Bretagne / Finistère nord

PostPosted: Mon Mar 01, 2010 1:50 pm    Post subject: [résolu] [qtractor] Problème d'ebuild normalement résolu Reply with quote

Bonjour 8)

Merci pour vos réponses rapides :)

Ok, j'ai édité le titre.

Voici la commande emerge -pv qtractor

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] media-sound/qtractor-0.4.5 USE="mad sse vorbis -debug -dssi -libsamplerate -osc -rubberband" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

!!! The following installed packages are masked:
- net-wireless/broadcom-sta-5.10.91.9-r6 (masked by: Broadcom license(s))
A copy of the 'Broadcom' license is located at '/usr/portage/licenses/Broadcom'.

- dev-java/sun-jre-bin-1.6.0.17 (masked by: dlj-1.1 license(s))
A copy of the 'dlj-1.1' license is located at '/usr/portage/licenses/dlj-1.1'.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


* IMPORTANT: 3 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


Pour rapporter le bug, ce lien : https://bugs.gentoo.org/ ne fonctionne pas chez moi, quand à l'autre, hum, c'est en anglais, va vraiment falloir m'y mettre :roll: :lol:

Pour l'Ebuild en local, je vais voir comment faire..., merci Xavier pour les infos :wink:

Comme je le disais plus haut, je suis nouveau sur Gentoo (même si j'ai essayé à haute dose pendant 3 semaines il y a 3 ans par la ligne de commande). Je retente une approche mais plus en douceur (par une distribution) donc même si je saisis certains trucs il y a encore beaucoup de choses qui m'échappent. Les habitudes prises avec d'autres systèmes (comme Debian / Ubuntu) qui installent tout automatiquement n'arrange pas forcément les choses. Pour la petite histoire, quand je compilais qtractor, je n'avais pas besoin de signifier qu'il y avait des dssi, vorbis.... ....ce que je regrette d'ailleurs car je suis bloqué aujourd'hui :wink:

Bon, fin de la petite histoire :roll: donc, faut activer ces flags

Dans /etc/portage/package.use il y a une ligne media-sound/qtractor sse, j'ai rajouté dssi liblo libmad libsamplerate libvorbis rubberband , j'ai refais un emerge qtractor et cela fonctionne ! (merci boozo :D )

Je ne sais pas si c'est la bonne méthode à appliquer de modifier d'abord ce fichier.

j'ai tout de même un autre soucis; liblo (qui a bien été installé par emerge liblo) n'apparait pas avant la compilation de qtractor :

Qtractor 0.4.5

Build target . . . . . . . . . . . . . . . . . . .: release

JACK Audio Connection Kit support . . . . . . . .: yes
ALSA MIDI Sequencer support . . . . . . . . . . .: yes
General audio file support (libsndfile) . . . . .: yes
Ogg Vorbis audio file support (libvorbis) . . . .: yes
MPEG-1 Audio Layer 3 file support (libmad) . . . .: yes
Sample-rate conversion support (libsamplerate) . .: yes
Pitch-shifting support (librubberband) . . . . . .: yes
OSC service support (liblo) . . . . . . . . . . .: no
IEEE 32bit float optimizations . . . . . . . . . .: yes
SSE optimization support (x86) . . . . . . . . . .: yes
LADSPA Plug-in support . . . . . . . . . . . . . .: yes
DSSI Plug-in support . . . . . . . . . . . . . . .: yes
VST Plug-in support . . . . . . . . . . . . . . .: no
LV2 Plug-in support (libslv2) . . . . . . . . . .: yes
LV2 Plug-in MIDI/Event support . . . . . . . . . .: yes
LV2 Plug-in External UI support . . . . . . . . .: yes

XInitThreads() support (DANGEROUS) . . . . . . . .: no

Gradient eye-candy . . . . . . . . . . . . . . . .: yes
Debugger stack-trace (gdb) . . . . . . . . . . . .: no

Install prefix . . . . . . . . . . . . . . . . . .: /usr


Du coup, c'est peut être pour cela que je peux plus éditer fluidsynth (pas de bouton) à moins qu'il manque autre chose car je suis sur Gnome.

Quand aux plugins VST, je ne m'en sers pas pour le moment, ayant assez avec les Dssi, ladspa et Lv2 ! (erreurs de toute façon lors de emerge

Je peux relire mes projets sur qtractor (bizarrement mes niveaux étaient à zéro, résolu en lançant alsamixeur -c2 car c'est une deuxième carte son), c'est déjà en tout cas une bonne avancée et la stabilité / rapidité est vraiment remarquable !.

Je vais tranquillement à lire des docs sur Gentoo en alternant avec la musique...

à bientôt et merci encore, système vraiment surprenant et hyper souple :)

Didier 8)

Ps : Je mets résolu même si j'ai encore des petits problèmes car cela me semble sortir du cadre de ce post, j'ouvrirai peut être un autre sujet sur qtractor, en attendant, je cherche...[/b]
_________________
Linux en audio & Midi, c'est magique ;-)
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Mon Mar 01, 2010 2:18 pm    Post subject: Reply with quote

bluedid29 wrote:
Bon, fin de la petite histoire :roll: donc, faut activer ces flags
Dans /etc/portage/package.use il y a une ligne media-sound/qtractor sse, j'ai rajouté dssi liblo libmad libsamplerate libvorbis rubberband , j'ai refais un emerge qtractor et cela fonctionne ! (merci boozo :D )
Je ne sais pas si c'est la bonne méthode à appliquer de modifier d'abord ce fichier.
(...)
j'ai tout de même un autre soucis; liblo (qui a bien été installé par emerge liblo n'apparait avant la compilation de qtractor

Et oui c'est bien la bonne méthode. Via les useflags, tu actives ou désactives ainsi la prise en compte (compilation) des supports précisés qui sont disponibles pour un package donné.
Si tu veux activer un support de manière globale (cad pour tous les packages : jpeg i.e.) c'est plus simple d'utiliser la $USE du make.conf - note que le profile que tu as selectionné définit également par défaut toute une série de uses +/- adaptés à un usage courant (desktop, server, etc).

Pour ton pb de liblo, tu t'es trompé en écrivant la ligne : il n'existe pas de use liblo - c'est le use osc qui gère le support pour liblo :wink:
Donc tu édites ton package.use pour modifier la ligne et tu relances un #emerge -1v qtractor
Et VST ne semble pas pris en compte par le mainteneur de l'ebuild. A voir pourquoi si c'est pour cause d'instabilité où par oubli.

Enfin concernant :
portage wrote:
!!! The following installed packages are masked:
- net-wireless/broadcom-sta-5.10.91.9-r6 (masked by: Broadcom license(s))
A copy of the 'Broadcom' license is located at '/usr/portage/licenses/Broadcom'.

- dev-java/sun-jre-bin-1.6.0.17 (masked by: dlj-1.1 license(s))
A copy of the 'dlj-1.1' license is located at '/usr/portage/licenses/dlj-1.1'.

Là c'est un problème de licence. Deux options encore soit acceptation de portée globale avec le make.conf et la variable ACCEPT_LICENSE="<licence_name_or_wildcard_for_all_type>" ; soit en créant un fichier /etc/portage/package.license et en mettant la ligne correspondante au package i.e. dev-java/sun-jre-bin dlj-1.1

Les deux méthodes se valent et/ou sont complémentaires selon les cas.
Personnellement je fais un mix mais je gère le maximum via ces fichiers /etc/portage/package.* :wink:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
bluedid29
n00b
n00b


Joined: 23 Sep 2007
Posts: 64
Location: Bretagne / Finistère nord

PostPosted: Mon Mar 01, 2010 4:47 pm    Post subject: Reply with quote

Super, merci beaucoup ! :D

En modifiant donc mon fichier /etc/portage/package.use comme ceci : media-sound/qtractor dssi libmad libsamplerate libvorbis osc rubberband sse, je peux éditer les Dssi dans Qtractor :D

Faudra juste que je me rappelle qu'il faut mettre osc à la place de liblo :roll::wink:

Ceci dit, il à peut être la possibilité de copier ce fichier package.use quand je ferais une nouvelle installation vers autre unité centrale (quand j'aurai bien avancé sur celui-ci...).

Bon, ça avance bien, je continue...
_________________
Linux en audio & Midi, c'est magique ;-)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum